Subject: Re: [net-next PATCH] hsr: Simplify code for announcing HSR nodes timer setup

From: Jakub Kicinski <[email-masked]>
Date: Mon, 29 Apr 2024 10:40:26 -0700

On Mon, 29 Apr 2024 12:09:04 +0200 Lukasz Majewski wrote:
> > if the
> > timer is already running we'll mess with the spacing of the frames,
> > no?  
> 
> When NETDEV_CHANGE is trigger for reason different than carrier (or
> port state) change and the netif_oper_up() returns true, the period for
> HSR supervisory frames (i.e. HSR_ANNOUNCE_INTEVAL) would be violated.
> 
> What are here the potential threads?

Practically speaking I'm not sure if anyone uses any of the weird IFF_*
flags, but they are defined in uAPI (enum net_device_flags) and I don't
see much validation so presumably it's possible to flip them.